---
title: "Kayak API: Stays Vacation Rentals | Perceptlayer"
description: "Stays Vacation Rentals from Kayak as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/kayak-platform/stays-vacation-rentals
---

[APIs](https://perceptlayer.com/apis) / [Kayak](https://perceptlayer.com/apis/kayak-platform) / Stays Vacation Rentals

# Kayak: Stays Vacation Rentals

Stays Vacation Rentals from Kayak as JSON. 1 credit per successful call.

GET `/v1/kayak-platform/stays-vacation-rentals`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `path` | string | Required | Up to 300 characters |
| `location_id` | string | Required | Any |
| `location_type` | string | Optional | city |
| `checkin` | string | Required | Any |
| `checkout` | string | Required | Any |
| `adults` | integer | Optional | Any |
| `rooms` | integer | Optional | Any |
| `child_ages[]` | list of integer | Optional | Any |
| `sort` | string | Optional | rank\_a, price\_a, review\_a |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/kayak-platform/stays-vacation-rentals?path=%2FSeattle-Vacation-Rentals.7054.rental.ksp&location_id=7054&checkin=2026-12-04&checkout=2026-12-06" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/kayak-platform?try=stays-vacation-rentals#playground) with your own parameters. 1 credit per successful call; failed calls are free.
